Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.dropboxmq.resource.spi
Class ConnectionEventListenerImpl

    java.lang.Object
      net.sf.dropboxmq.resource.spi.ConnectionEventListenerImpl

All Implemented Interfaces:
  EventListener, ConnectionEventListener

    public class ConnectionEventListenerImpl

extends Object
implements ConnectionEventListener

Created: 22 Oct 2006

Version:
  $Revision: 211 $, $Date: 2010-11-14 14:21:24 -0700 (Sun, 14 Nov 2010) $
Author:
  Dwayne Schultz

Constructor Summary
`ConnectionEventListenerImpl()`

Method Summary
`void` | `addConnectionEventListener(ConnectionEventListener connectionEventListener)`
`void` | `connectionClosed(ConnectionEvent connectionEvent)`
`void` | `connectionErrorOccurred(ConnectionEvent connectionEvent)`
`void` | `localTransactionCommitted(ConnectionEvent connectionEvent)`
`void` | `localTransactionRolledback(ConnectionEvent connectionEvent)`
`void` | `localTransactionStarted(ConnectionEvent connectionEvent)`
`void` | `removeConnectionEventListener(ConnectionEventListener connectionEventListener)`
`protected String` | `toObjectString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionEventListenerImpl

    public ConnectionEventListenerImpl()

Method Detail

### connectionClosed

    public void connectionClosed(ConnectionEvent connectionEvent)

  Specified by:
    `connectionClosed` in interface `ConnectionEventListener`

### localTransactionStarted

    public void localTransactionStarted(ConnectionEvent connectionEvent)

  Specified by:
    `localTransactionStarted` in interface `ConnectionEventListener`

### localTransactionCommitted

    public void localTransactionCommitted(ConnectionEvent connectionEvent)

  Specified by:
    `localTransactionCommitted` in interface `ConnectionEventListener`

### localTransactionRolledback

    public void localTransactionRolledback(ConnectionEvent connectionEvent)

  Specified by:
    `localTransactionRolledback` in interface `ConnectionEventListener`

### connectionErrorOccurred

    public void connectionErrorOccurred(ConnectionEvent connectionEvent)

  Specified by:
    `connectionErrorOccurred` in interface `ConnectionEventListener`

### addConnectionEventListener

    public void addConnectionEventListener(ConnectionEventListener connectionEventListener)

### removeConnectionEventListener

    public void removeConnectionEventListener(ConnectionEventListener connectionEventListener)

### toObjectString

    protected final String toObjectString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD